# Uses of Class
org.astrogrid.samp.Metadata

Packages that use Metadata
Package
Description
org.astrogrid.samp
Classes common to SAMP hub and client code.
org.astrogrid.samp.client
Classes required only for SAMP clients.
org.astrogrid.samp.gui
Classes required only for graphical components based on SAMP classes.
org.astrogrid.samp.hub
Classes required only for running a SAMP hub.
org.astrogrid.samp.test
Classes for testing.
org.astrogrid.samp.xmlrpc
Classes relating to Standard Profile and XML-RPC pluggable implementation layer.

## Uses of Metadata in org.astrogrid.samp

Methods in org.astrogrid.samp that return Metadata
Modifier and Type
Method
Description
`static Metadata`
Metadata.`asMetadata(Map map)`
Returns a given map as a Metadata object.
`Metadata`
Client.`getMetadata()`
Returns the currently declared metadata for this client, if any.

## Uses of Metadata in org.astrogrid.samp.client

Methods in org.astrogrid.samp.client that return Metadata
Modifier and Type
Method
Description
`Metadata`
HubConnection.`getMetadata(String clientId)`
Returns the metadata for another registered client.
`Metadata`
HubConnector.`getMetadata()`
Returns this client's own metadata.

## Uses of Metadata in org.astrogrid.samp.gui

Methods in org.astrogrid.samp.gui with parameters of type Metadata
Modifier and Type
Method
Description
`void`
ClientPanel.`setMetadata(Metadata meta)`
Updates this component's metadata panel to display the current state of a given metadata object.

## Uses of Metadata in org.astrogrid.samp.hub

Methods in org.astrogrid.samp.hub that return Metadata
Modifier and Type
Method
Description
`protected Metadata`
BasicHubService.`getMetadata(HubClient caller, String clientId)`
Does the work for the `getMetadata` method of connections registered with this service.
`Metadata`
HubClient.`getMetadata()`

## Uses of Metadata in org.astrogrid.samp.test

Methods in org.astrogrid.samp.test that return Metadata
Modifier and Type
Method
Description
`static Metadata`
Snooper.`createDefaultMetadata()`
Returns the default metadata for the Snooper client.
Constructors in org.astrogrid.samp.test with parameters of type Metadata
Modifier
Constructor
Description
``
`Snooper(ClientProfile profile, Subscriptions subs, Metadata meta, OutputStream out, int autoSec)`
Constructor using custom metadata.

## Uses of Metadata in org.astrogrid.samp.xmlrpc

Methods in org.astrogrid.samp.xmlrpc that return Metadata
Modifier and Type
Method
Description
`Metadata`
XmlRpcHubConnection.`getMetadata(String clientId)`